Ruby 2.1.5p273(2014-11-13revision48405)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Functions
localeinit.c File Reference
`#include "ruby/ruby.h"`
`#include "ruby/encoding.h"`
`#include "internal.h"`
Include dependency graph for localeinit.c:

Go to the source code of this file.

## Functions
VALUE | rb_locale_charmap (VALUE klass)
int | Init_enc_set_filesystem_encoding (void)

## Function Documentation

int Init_enc_set_filesystem_encoding | ( | void |  | ) |

Definition at line 51 of file localeinit.c.

References rb_default_external_encoding(), rb_enc_find_index(), rb_enc_to_index, and snprintf.

VALUE rb_locale_charmap | ( | VALUE | klass | ) |

Definition at line 23 of file localeinit.c.

References nl_langinfo_codeset(), Qnil, rb_usascii_str_new2, and snprintf.